reSIDfp::FilterModelConfig Class Reference

## Public Member Functions

int | getVO_T16 () const
int | getVoiceScaleS14 () const
int | getVoiceDC () const
unsigned short ** | getGain ()
unsigned short ** | getSummer ()
unsigned short ** | getMixer ()
unsigned int * | getDAC (double adjustment) const
Integrator * | buildIntegrator ()
double | estimateFrequency (double dac_zero, int fc)

## Static Public Member Functions

static FilterModelConfig * | getInstance ()

## Friends

class | std::auto_ptr< FilterModelConfig >

## Member Function Documentation

double reSIDfp::FilterModelConfig::estimateFrequency | ( | double | dac_zero,
|  | int | fc
| ) |  |

Estimate the center frequency corresponding to some FC setting.

FIXME: this function is extremely sensitive to prevailing voltage offsets. They got to be right within about 0.1V, or the results will be simply wrong. This casts doubt on the feasibility of this approach. Perhaps the offsets at the integrators would need to be statically solved first for 1-voice null input.

Parameters

  dac_zero |
  fc |

Returns
  frequency in Hz

unsigned int * reSIDfp::FilterModelConfig::getDAC | ( | double | adjustment | ) | const

Construct a DAC table. Ownership is transferred to the requester which becomes responsible of freeing the object when done.

Parameters

  adjustment |

Returns
  the DAC table

The documentation for this class was generated from the following files:

- FilterModelConfig.h
- FilterModelConfig.cpp